Assignee:
Description

Hi all,

Is anyone else having problems with using atlas with python?

| am writing some python code that uses the Atlas functionality in master to create a PDF / jpg for each of my 5000 records.

| can produce a jpg/pdf for each feature, however the composerMap object does not stay the same size.

| found this bug report which describes the issue. This report is listed as fixed:

#6956

| have also been made aware of this post about the issue too:

http://www.mail-archive.com/qgis-developer@lists.osgeo.org/msg15587.html

| have set the following two lines in my code:

myAtlas.setFixedScale( False )
myAtlas.setMargin(0.1)

If | set this up from within QGIS, it works perfectly. It is only through Python | have problems.

Here are the example exported jpgs:

Generated inside QGIS GUI - from_qgis.zip

Generated from python - from_python.zip

I have also included a stripped down version of my code, along with a sample shapefile (this isn’t the data | am planning to use it with, but

it doesn’t work with either the sample or the real data - the real data is in PostGIS).

Using master, updated today from OsGeo4W.

History

#1 - 2013-06-27 06:38 AM - James Stott

| have resorted to using the getNewExtent() method in the atlasdialog.py file from the original atlas plugin. This does what | want.
#2 - 2013-07-12 10:43 AM - Paolo Cavallini
- Category set to 33

#3 - 2014-02-07 05:27 AM - Giovanni Manghi

- Priority changed from High to Normal

- Target version set to Version 2.2

- Status changed from Open to Feedback

- Category changed from 33 to Map Composer/Printing

There is no crash or data corruption, so I'm lowering the priority.

It is still true in the latest master?

#4 - 2014-06-28 07:36 AM - Jiirgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#5 - 2014-09-24 11:30 PM - Nyall Dawson

- Status changed from Feedback to Closed
- Resolution set to invalid

Closing due to lack of feedback

Files

from_qgis.zip 336 KB 2013-06-24 James Stott

from_python.zip 209 KB 2013-06-24 James Stott

code_and_shapefile.zip 6.03 KB 2013-06-24 James Stott
